%global gem_name rouge

Summary:        Pure-ruby colorizer based on pygments
Name:           rubygem-%{gem_name}
Version:        4.1.0
Release:        3%{?dist}
License:        MIT and BSD
URL:            https://github.com/rouge-ruby
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:        %{url}/%{gem_name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  ruby(release) rubygems-devel help2man rubygem(minitest) rubygem(rake)

BuildArch:      noarch

%description
Rouge aims to a be a simple, easy-to-extend drop-in replacement for pygments.

%prep
%setup -q -n %{gem_name}-%{version} -a 1
mv ../%{gem_name}-%{version}.gemspec .

%build
gem build %{gem_name}-%{version}.gemspec

%install
%gem_install

mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

export GEM_PATH="%{buildroot}%{gem_dir}:%{gem_dir}"

mkdir -p %{buildroot}%{_mandir}/man1
help2man -N -s1 -o %{buildroot}%{_mandir}/man1/rougify.1 \
    %{buildroot}%{_bindir}/rougify

rm -f %{buildroot}%{gem_cache}
pushd %{buildroot}%{gem_instdir}
rm -rf \
    Gemfile \
    %{gem_name}.gemspec \
    %{nil}
popd

%check

%files
%license %{gem_instdir}/LICENSE
%doc %{gem_docdir}
%{gem_libdir}
%{_bindir}/rougify
%{gem_instdir}/bin
%{gem_spec}
%{_mandir}/man1/rougify.1*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 4.1.0-1
- initial build
